VIEWIMG_TRACK_COMPUTE(3)

EXPERIMENTAL_FUNC
viewimg_track_compute - Compute track strings.

SYNOPSIS
#include <karma_viewimg.h>

void viewimg_track_compute

(ViewableImage vimage, void *value, unsigned int value_type, double x, double y, double x_im, double y_im, char pix_string[STRING_LENGTH], char world_string[STRING_LENGTH], char extra_string[STRING_LENGTH])

DESCRIPTION
Compute track strings.

vimage
    The active ViewableImage object.

value
    A pointer to the data value in the viewable image corresponding to the event co-ordinates.

value_type
    The type of the data value. This may be K_DCOMPLEX or K_UB_RGB.

x   The horizontal world co-ordinate of the event.

y   The vertical world co-ordinate of the event.

x_im
    The horizontal image pixel co-ordinate. 0.0 is the pixel centre.

y_im
    The vertical image pixel co-ordinate. 0.0 is the pixel centre.

pix_string
    The pixel co-ordinates and data value will be written here.

world_string
    The world co-ordinates and restriction information will be written here.

extra_string
    Extra information is written here. This may be NULL if <<world_string>> is also NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/